Bug 17298 - Недостаточное управление энергосбережением из коробки
: Недостаточное управление энергосбережением из коробки
Status: CLOSED WONTFIX
: ALT Linux Desktop
(All bugs in ALT Linux Desktop/hardware)
: 4.1.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-09-23 17:03 by
Modified: 2010-09-20 10:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-23 17:03:20
Из коробки поставляется kdeutils-laptop, чьи функции недостаточны для
полноценного управления энергосбереженем на ноутбуке. Собственно, там только
мониторинг батареи и всякие спящий/ждущий режимы.

Более полные функции имеются в пакете kpowersave, который по дефолту не
установлен. После его установки уже можно переключать профили, где имеются
настройки автопонижения яркости, DPMS и т.п.. Но пункт "политика частоты ЦП"
недоступен.

Модули speedstep/powernow автоматом не грузятся. Если вручную подгрузить нужный
модуль и запустить сервис powersaved, пункт "политика частоты ЦП" всё равно не
доступен. Правда, scaling_governor powersaved видимо переключил:

# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
ondemand

Дальше пока не разбирался.
------- Comment #1 From 2008-09-28 22:46:56 -------
С процессорными обсуждалось, вывод -- всё сложно (под udev _всё_ не засунуть
чуть ли не в принципе).  Может иметь смысл выдрать cpu.rc из hotplug...
------- Comment #2 From 2010-09-20 10:25:34 -------
4.1 неактуален. -> WONTFIX